Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.media.sound
Class SF2Sample

    java.lang.Object
      javax.sound.midi.SoundbankResource
          com.sun.media.sound.SF2Sample

    public class SF2Sample

extends javax.sound.midi.SoundbankResource

Soundfont sample storage.

Author:
  Karl Helgason

Constructor Summary
`SF2Sample()`
`SF2Sample(javax.sound.midi.Soundbank soundBank)`

Method Summary
`java.lang.Object` | `getData()`
`ModelByteBuffer` | `getData24Buffer()`
`ModelByteBuffer` | `getDataBuffer()`
`long` | `getEndLoop()`
`javax.sound.sampled.AudioFormat` | `getFormat()`
`java.lang.String` | `getName()`
`int` | `getOriginalPitch()`
`byte` | `getPitchCorrection()`
`int` | `getSampleLink()`
`long` | `getSampleRate()`
`int` | `getSampleType()`
`long` | `getStartLoop()`
`void` | `setData(byte[] data)`
`void` | `setData(byte[] data, int offset, int length)`
`void` | `setData(ModelByteBuffer data)`
`void` | `setData24(byte[] data24)`
`void` | `setData24(byte[] data24, int offset, int length)`
`void` | `setData24(ModelByteBuffer data24)`
`void` | `setEndLoop(long endLoop)`
`void` | `setName(java.lang.String name)`
`void` | `setOriginalPitch(int originalPitch)`
`void` | `setPitchCorrection(byte pitchCorrection)`
`void` | `setSampleLink(int sampleLink)`
`void` | `setSampleRate(long sampleRate)`
`void` | `setSampleType(int sampleType)`
`void` | `setStartLoop(long startLoop)`
`java.lang.String` | `toString()`

Methods inherited from class javax.sound.midi.SoundbankResource
`getDataClass, getSoundbank`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SF2Sample

    public SF2Sample(javax.sound.midi.Soundbank soundBank)

### SF2Sample

    public SF2Sample()

Method Detail

### getData

    public java.lang.Object getData()

  Specified by:
    `getData` in class `javax.sound.midi.SoundbankResource`

### getDataBuffer

    public ModelByteBuffer getDataBuffer()

### getData24Buffer

    public ModelByteBuffer getData24Buffer()

### getFormat

    public javax.sound.sampled.AudioFormat getFormat()

### setData

    public void setData(ModelByteBuffer data)

### setData

    public void setData(byte[] data)

### setData

    public void setData(byte[] data,
                        int offset,
                        int length)

### setData24

    public void setData24(ModelByteBuffer data24)

### setData24

    public void setData24(byte[] data24)

### setData24

    public void setData24(byte[] data24,
                          int offset,
                          int length)

### getName

    public java.lang.String getName()

  Overrides:
    `getName` in class `javax.sound.midi.SoundbankResource`

### setName

    public void setName(java.lang.String name)

### getEndLoop

    public long getEndLoop()

### setEndLoop

    public void setEndLoop(long endLoop)

### getOriginalPitch

    public int getOriginalPitch()

### setOriginalPitch

    public void setOriginalPitch(int originalPitch)

### getPitchCorrection

    public byte getPitchCorrection()

### setPitchCorrection

    public void setPitchCorrection(byte pitchCorrection)

### getSampleLink

    public int getSampleLink()

### setSampleLink

    public void setSampleLink(int sampleLink)

### getSampleRate

    public long getSampleRate()

### setSampleRate

    public void setSampleRate(long sampleRate)

### getSampleType

    public int getSampleType()

### setSampleType

    public void setSampleType(int sampleType)

### getStartLoop

    public long getStartLoop()

### setStartLoop

    public void setStartLoop(long startLoop)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD